(setq textHeight (if (not textHeight) 5 textHeight)) ; Đặt chiều cao văn bản mặc định là 5

(defun SetTextHeight ()
  (setq newTextHeight (getreal (strcat "\nEnter new text height <" (rtos textHeight 2 2) ">: ")))
  (if newTextHeight
    (setq textHeight newTextHeight)
  )
  (princ (strcat "\nText height set to: " (rtos textHeight 2 2) " units."))
)

(defun C:SAP (/ ss i en area pt areaSqM)
  (setq ss (ssget '((0 . "LWPOLYLINE"))))
  (if ss
    (progn
      (SetTextHeight)
      (setq pt (getpoint "\nSpecify insertion point for the text: "))
      (setq area 0.0)
      (setq i 0)
      (while (< i (sslength ss))
        (setq en (ssname ss i))
        (setq area (+ area (vlax-curve-getarea en)))
        (setq i (1+ i))
      )
      (setq areaSqM (/ area 1000000.0))
      (setq areaSqM (rtos areaSqM 2 2))
      (entmake
        (list
          (cons 0 "TEXT")
          (cons 10 pt)
          (cons 40 textHeight)
          (cons 1 (strcat "S: " areaSqM " m2"))
          (cons 7 "Standard")
          (cons 8 (getvar "CLAYER"))
        )
      )
    )
    (princ "\nNo polylines selected.")
  )
  (princ)
)